Package org.apache.nutch.protocol.htmlunit

## Class HtmlUnitWebWindowListener

- java.lang.Object
- - org.apache.nutch.protocol.htmlunit.HtmlUnitWebWindowListener

- All Implemented Interfaces:
    `com.gargoylesoftware.htmlunit.WebWindowListener`

      public class HtmlUnitWebWindowListener
      extends Object
      implements com.gargoylesoftware.htmlunit.WebWindowListener

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HtmlUnitWebWindowListener()` |
    `HtmlUnitWebWindowListener​(int maxRedirects)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `webWindowClosed​(com.gargoylesoftware.htmlunit.WebWindowEvent event)` |
    `void` | `webWindowContentChanged​(com.gargoylesoftware.htmlunit.WebWindowEvent event)` |
    `void` | `webWindowOpened​(com.gargoylesoftware.htmlunit.WebWindowEvent event)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HtmlUnitWebWindowListener

          public HtmlUnitWebWindowListener()

    - #### HtmlUnitWebWindowListener

          public HtmlUnitWebWindowListener​(int maxRedirects)

  - ### Method Detail

    - #### webWindowOpened

          public void webWindowOpened​(com.gargoylesoftware.htmlunit.WebWindowEvent event)

      Specified by:
        `webWindowOpened` in interface `com.gargoylesoftware.htmlunit.WebWindowListener`

    - #### webWindowContentChanged

          public void webWindowContentChanged​(com.gargoylesoftware.htmlunit.WebWindowEvent event)

      Specified by:
        `webWindowContentChanged` in interface `com.gargoylesoftware.htmlunit.WebWindowListener`

    - #### webWindowClosed

          public void webWindowClosed​(com.gargoylesoftware.htmlunit.WebWindowEvent event)

      Specified by:
        `webWindowClosed` in interface `com.gargoylesoftware.htmlunit.WebWindowListener`